Master Wallet Withdraw Network Fee
curl --request POST \
--url https://api.blockradar.co/v1/gateway/withdraw/network-fee \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{
"amount": "10"
}'import requests
url = "https://api.blockradar.co/v1/gateway/withdraw/network-fee"
payload = { "amount": "10" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: '10'})
};
fetch('https://api.blockradar.co/v1/gateway/withdraw/network-fee', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"estimatedArrivalTime": 10,
"nativeBalance": "0.044395941712804974",
"nativeBalanceInUSD": "0.0443915021186336935026",
"networkFee": "0.00000013083861216",
"networkFeeInUSD": "0.000000130825528298784",
"transactionFee": 2.005999
},
"message": "Withdraw network fees calculated successfully",
"statusCode": 200
}Master Wallet Withdraw Network Fee
This endpoint allows you get network fee for a gateway withdrawal.
Body Parameters
| Key | Required | Type | Description |
|---|---|---|---|
| amount | true | string | The amount to be deposited. |
| address | true | string | The receipient address. |
| blockchain | true | string | The blockchain network. |
| reference | false | string | This would be the transaction reference |
| metadata | false | object | This would be atteched to the transaction payload |
POST
/
v1
/
gateway
/
withdraw
/
network-fee
Master Wallet Withdraw Network Fee
⌘I

